<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head><link rel="stylesheet" type="text/css" href="style.css" /><script type="text/javascript" src="highlight.js"></script></head><body><pre><span class="hs-keyword">module</span><span> </span><span class="hs-identifier">Features.Adverbial</span><span> </span><span class="hs-special">(</span><span class="annot"><a href="Features.Adverbial.html#Distance"><span class="hs-identifier">Distance</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">,</span><span> </span><span class="annot"><a href="Features.Adverbial.html#AdvF"><span class="hs-identifier">AdvF</span></a></span><span> </span><span class="hs-special">(</span><span class="hs-glyph">..</span><span class="hs-special">)</span><span class="hs-special">)</span><span> </span><span class="hs-keyword">where</span><span>
</span><span id="line-2"></span><span>
</span><span id="line-3"></span><span class="hs-comment">-- | Adverbial features. Not developed at the moment.</span><span>
</span><span id="line-4"></span><span class="hs-keyword">data</span><span> </span><span id="AdvF"><span class="annot"><a href="Features.Adverbial.html#AdvF"><span class="hs-identifier hs-var">AdvF</span></a></span></span><span> </span><span class="hs-glyph">=</span><span> </span><span id="BareAdv"><span class="annot"><a href="Features.Adverbial.html#BareAdv"><span class="hs-identifier hs-var">BareAdv</span></a></span></span><span> </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081350"><span id="local-6989586621679081352"><span class="annot"><span class="annottext">AdvF -&gt; AdvF -&gt; Bool
(AdvF -&gt; AdvF -&gt; Bool) -&gt; (AdvF -&gt; AdvF -&gt; Bool) -&gt; Eq AdvF
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: AdvF -&gt; AdvF -&gt; Bool
$c/= :: AdvF -&gt; AdvF -&gt; Bool
== :: AdvF -&gt; AdvF -&gt; Bool
$c== :: AdvF -&gt; AdvF -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081343"><span id="local-6989586621679081345"><span id="local-6989586621679081347"><span class="annot"><span class="annottext">Int -&gt; AdvF -&gt; ShowS
[AdvF] -&gt; ShowS
AdvF -&gt; String
(Int -&gt; AdvF -&gt; ShowS)
-&gt; (AdvF -&gt; String) -&gt; ([AdvF] -&gt; ShowS) -&gt; Show AdvF
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [AdvF] -&gt; ShowS
$cshowList :: [AdvF] -&gt; ShowS
show :: AdvF -&gt; String
$cshow :: AdvF -&gt; String
showsPrec :: Int -&gt; AdvF -&gt; ShowS
$cshowsPrec :: Int -&gt; AdvF -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-5"></span><span>
</span><span id="line-6"></span><span class="hs-comment">-- | Distance degrees</span><span>
</span><span id="line-7"></span><span class="hs-keyword">data</span><span> </span><span id="Distance"><span class="annot"><a href="Features.Adverbial.html#Distance"><span class="hs-identifier hs-var">Distance</span></a></span></span><span>
</span><span id="line-8"></span><span>  </span><span class="hs-glyph">=</span><span> </span><span id="Close"><span class="annot"><a href="Features.Adverbial.html#Close"><span class="hs-identifier hs-var">Close</span></a></span></span><span>
</span><span id="line-9"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Medium"><span class="annot"><a href="Features.Adverbial.html#Medium"><span class="hs-identifier hs-var">Medium</span></a></span></span><span>
</span><span id="line-10"></span><span>  </span><span class="hs-glyph">|</span><span> </span><span id="Far"><span class="annot"><a href="Features.Adverbial.html#Far"><span class="hs-identifier hs-var">Far</span></a></span></span><span>
</span><span id="line-11"></span><span>  </span><span class="hs-keyword">deriving</span><span> </span><span class="hs-special">(</span><span id="local-6989586621679081335"><span id="local-6989586621679081337"><span class="annot"><span class="annottext">Distance -&gt; Distance -&gt; Bool
(Distance -&gt; Distance -&gt; Bool)
-&gt; (Distance -&gt; Distance -&gt; Bool) -&gt; Eq Distance
forall a. (a -&gt; a -&gt; Bool) -&gt; (a -&gt; a -&gt; Bool) -&gt; Eq a
/= :: Distance -&gt; Distance -&gt; Bool
$c/= :: Distance -&gt; Distance -&gt; Bool
== :: Distance -&gt; Distance -&gt; Bool
$c== :: Distance -&gt; Distance -&gt; Bool
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var">Eq</span></span></span></span><span class="hs-special">,</span><span> </span><span id="local-6989586621679081329"><span id="local-6989586621679081331"><span id="local-6989586621679081333"><span class="annot"><span class="annottext">Int -&gt; Distance -&gt; ShowS
[Distance] -&gt; ShowS
Distance -&gt; String
(Int -&gt; Distance -&gt; ShowS)
-&gt; (Distance -&gt; String) -&gt; ([Distance] -&gt; ShowS) -&gt; Show Distance
forall a.
(Int -&gt; a -&gt; ShowS) -&gt; (a -&gt; String) -&gt; ([a] -&gt; ShowS) -&gt; Show a
showList :: [Distance] -&gt; ShowS
$cshowList :: [Distance] -&gt; ShowS
show :: Distance -&gt; String
$cshow :: Distance -&gt; String
showsPrec :: Int -&gt; Distance -&gt; ShowS
$cshowsPrec :: Int -&gt; Distance -&gt; ShowS
</span><span class="hs-identifier hs-var hs-var hs-var hs-var hs-var hs-var hs-var hs-var">Show</span></span></span></span></span><span class="hs-special">)</span><span>
</span><span id="line-12"></span></pre></body></html>